WireMock
action Wiremock

# reset

Resets the WireMock server (deletes all mappings)

Run it now
View details

Type | action
Module | chaoswm.actions
Name | reset
Return | integer

Usage

JSON

    {
      "name": "reset",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoswm.actions",
        "func": "reset"
      }
    }

YAML

    name: reset
    provider:
      func: reset
      module: chaoswm.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---

Signature

    def reset(configuration: Dict[str, Dict[str, str]] = None) -> int:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `chunked_dribble_delay`

  Adds a chunked dribble delay to a list of mappings
- WireMock
  action Wiremock

  ## `populate_from_dir`

  Adds all mappings found in the passed folder
- WireMock
  probe Wiremock

  ## `mappings`

  Return a list of all mappings